# Embedded Character Sheet 5E Layout And Data Template

This is a layout, template, and sample character for the unofficial TaleSpire Embedded Character Sheet plugin. 

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

![Preview](https://ibb.co/YcGsdVt)

## Change Log
```
1.0.0: Initial release
```

## Install

Install using R2ModMan or similar.

## Usage

See ECS documentation for using the ECS plugin to view and edit character sheets

## Sample Character

You can see a sample character made using an unmodified version of the 5E layout. Name a mini ``Xander``, select it,
and open the character sheet. 

## Making A Character

The 5e layout is a generic layout created so that the contents can be repurposed for any class without having to make
a new layout. However, if some parts of the character sheet layout need to be customized the layout can be used as a
starting point for customized layouts. Just copy the layout file changing the ``5E_PC`` portion of the file name and
then customize the contents.

In most cases, the layout file can be used without the need to customize it. In such a case, follow the following steps:

1. Make a copy of the ``EmbeddedCharacterSheet.Data.Template.csd`` file, chaning the filename so that ``Template`` is replaced
with the character's name (which is the same name that must be on the mini for ECS to find the file).

2. Edit the values in the file to reflect the desired character.

3. Save the file.

4. Start Talespire.

Important Notes:

1. Do not remove any of the entries in the template. 

If you don't need an entry, set the value to blank (""). Otherwise if you delete entries, they will not have a value, 
and will default to the placeholder name instead.

2. The proficiency indicator with saves and skills can be anything.

I suggested the use of E=Expert, P=Proficient, H=Half Proficient, and ``space``/ for not-proficient but you can also
use empty string for non-proficient, or some other letters completely. It should be noted that the displayed
proficiency is not automatically linked to the bonus that is added. For example, it possible, just like on paper, to
show an Expert proficiency but (accidentally) add only a regular proficienty bonus.

3. While you can hard code bonuses for saves and skills, the template is set up to calculate the total bonus from
the ability score modifier and a bonus (expert, proficient, or half) if applicable. The user needs to set the bonus
to match the desired proficiency level but if done correctly, when an ability score is increased or the proficincy
bonus is increased, the user needs to only modify these values and all the saves and skills will be updated automatically.

4. Besides the ability scores, saves, and skills, the rest of the content is basically content for entering notes.
How these additional sections are used and for what content is up to the user and can me the same for all characters
or can be character specific.

5. Many sections allows you to provide the name for the entry so that the entry can be repurposed for different uses.
For example, the 4 trackers in the middle of the character sheet allow the user to change the label as well as the
value. A bard may use one of these trackers to track the number of bardic inspirations that the character has. A
barbarian may use it to track rages. A fathomless warlock may use it to track the number of times the Tentacle Of
The Deep has been summoned. And so on. You can also double up two trackers to track both the used and max values.

6. Current HP was intentionally removed from the character sheet since it is likely that the Talespire HP will be
used instead. However, if it is desired to track it using ECS, the "Alt Speed" box can easily be repurposed to be
current HP.



